# DefaultApplicationHook class

Default implementation of `ApplicationHook` providing basic hook functionality.

This hook manages application run listeners and startup tracking for the application lifecycle.

See also:

- `ApplicationHook` for the hook interface
- `ApplicationRunListeners` for run listener management

## Constructors

DefaultApplicationHook.new(List<ApplicationRunListener> _listeners, ApplicationStartup _applicationStartup)
  Default implementation of `ApplicationHook` providing basic hook functionality.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

getRunListener(JetApplication jetApplication) → ApplicationRunListener
  A hook interface for integrating with the lifecycle of a `Application`.
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited